Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Class User

- Defined in: User.js
- Extends HopObject, HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| User(data) A User object represents a login to Antville.

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> | _children
| comments
<static> <constant> | User.COOKIE
| created
| email
| files
| hash
<static> <constant> | User.HASHCOOKIE
| images
| memberships
| metadata
| modified
| name
| salt
| sites
| status
| stories
| subscriptions
| url

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | User.autoLogin()
| email_macro() Enable <% user.email %> macro for privileged users only
<static> | User.getByName(name)
<static> | User.getCurrentStatus()
| getDigest(token)
| getFormOptions(name)
<static> | User.getLocation()
<static> | User.getMembership()
| getPermission(action)
<static> | User.getSalt()
<static> | User.getStatus()
<static> | User.isBlacklisted(data)
| list_macro(param, type)
<static> | User.login(data)
<static> | User.logout()
| onLogout()
<static> | User.register(data)
<static> | User.remove() FIXME: Still needs a solution whether and how to remove a user’s sites
<static> | User.rename(currentName, newName) Rename a user account.
<static> | User.require(requiredStatus)
<static> | User.setLocation(url)
| touch()
| update(data)

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormValue
  getMetadata
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  type_macro
  upload_macro

## Class Detail

User(data)
A User object represents a login to Antville.

Parameters:
{Object} data

## Field Detail

<private> {Membership[]} _children
{Comment[]} comments
<static> <constant> User.COOKIE
{Date} created
{String} email
{File[]} files
{String} hash
<static> <constant> User.HASHCOOKIE
{Image[]} images
{Membership[]} memberships
{Metadata} metadata
{Date} modified
{String} name
{String} salt
{Site[]} sites
{String} status
{Story[]} stories
{Membership[]} subscriptions
{String} url

## Method Detail

- <static> User.autoLogin()
- email_macro()
  Enable <% user.email %> macro for privileged users only
- <static> {User} User.getByName(name)
  Parameters:
  {String} name
  Returns:
    {User}
- <static> {String} User.getCurrentStatus()
  Returns:
    {String}
- {String} getDigest(token)
  Parameters:
  {String} token
  Returns:
    {String}
- {Object} getFormOptions(name)
  Parameters:
  {String} name
  Returns:
    {Object}
- <static> {String} User.getLocation()
  Returns:
    {String}
- <static> {Membership} User.getMembership()
  Returns:
    {Membership}
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- <static> {String} User.getSalt()
  Returns:
    {String}
- <static> {String[]} User.getStatus()
  Returns:
    {String[]}
  See:
    defineConstants
- <static> {Boolean} User.isBlacklisted(data)
  Parameters:
  {Object} data
  Returns:
    {Boolean}
- list_macro(param, type)
  Parameters:
  {Object} param
  {String} type
- <static> {User} User.login(data)
  Parameters:
  {Object} data
  Returns:
    {User}
- <static> User.logout()
- onLogout()
- <static> {User} User.register(data)
  Parameters:
  {Object} data
  Throws:
  {Error}
  Returns:
    {User}
- <static> User.remove()
  FIXME: Still needs a solution whether and how to remove a user’s sites
- <static> User.rename(currentName, newName)
  Rename a user account.
  Parameters:
  {String} currentName
    The current name of the user account.
  {String} newName
    The desired name of the user account.
- <static> {Boolean} User.require(requiredStatus)
  Parameters:
  {String} requiredStatus
  Returns:
    {Boolean}
- <static> User.setLocation(url)
  Parameters:
  {String} url
- touch()
- update(data)
  Parameters:
  {Object} data